# $Revision: 1.24 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	auth_checkpasswd
%define 	apxs		/usr/sbin/apxs1
Summary:	This is the CHECKPASSWD authentication module for Apache
Summary(pl):	To jest modu Apache uwierzytelniajcy przez CHECKPASSWD
Name:		apache1-mod_%{mod_name}
Version:	1.0
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	7f699981ada026656affe2e35409bdf2
Patch0:		%{name}-aplog.patch
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_auth_checkpasswd <= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an authentication module for Apache that uses an external
application compatible with DJB's "checkpasswd". The application may
be setuid, which gives you a possibility to verify passwords using
regular /etc/shadow.

%description -l pl
To jest modu uwierzytelniajcy dla Apache ktry wykorzystuje
zewntrzn aplikacj kompatybiln z "checkpasswd" DJB. Aplikacja moe
by suidowana, co daje moliwo weryfikowania hase wykorzystujc
zwyky plik /etc/shadow.

%prep
%setup -q -c -n "mod_%{mod_name}-%{version}"
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.0-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_checkpasswd.spec,v $
Revision 1.24  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.23  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.22  2006/04/02 14:19:27  glen
- use %service

Revision 1.21  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.19  2005/02/15 11:59:48  glen
- rel 2; STBR

Revision 1.18  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.17  2004/08/29 18:48:05  radek
- mv apache{,1}-*, release 1

Revision 1.16  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.15  2003/08/06 16:10:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.14  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.13  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/31 22:22:31  migo
- fixes/typos in summaries/descriptions

Revision 1.10  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.9  2002/06/30 00:35:18  kloczek
- release 4: use new %doc.

Revision 1.8  2002/04/25 15:45:10  arturs
fixed a small typo

Revision 1.7  2002/03/11 12:10:56  qboosh
- aplog patch with symbols update (s/aplog_error/ap_log_error) - should work but please test
- release 3

Revision 1.6  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 21:03:37  ankry
- release 2

Revision 1.3  2002/02/17 18:52:19  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.2  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/23 20:25:35  zagrodzki
- initial release
